<p class="topic">
Add Attribute
</p>

<p class="text">
Use this dialog box to add an attribute to an existing entry. Before you can add an attribute, an object class that allows or requires the attribute must exist in the entry.
</p>

<p class="text">
<b>Language. </b>Contains a list of languages that can be assigned to the attribute as subtypes.
</p>

<p class="text">
Sometimes a user's name can be more accurately represented in characters of a language other than the default language. For example, Noriko's name is Japanese, and she has indicated on her hiring forms that she prefers that her name be represented by Japanese characters when possible. You can select Japanese as a language subtype for the <code>givenname</code> attribute so that other users can search for her Japanese name. 
</p>

<p class="text">
If you specify a language subtype for an attribute, the subtype is added to the attribute name as follows:
</p>

<p class="text">
<span class="variable">attribute</span><code>;lang-</code><span class="variable">subtype</span>
</p>

<p class="text">
Where <span class="variable">attribute</span> is the attribute you are adding to the entry and <span class="variable">subtype</span> is the two character abbreviation for the language. For example:
</p>

<p class="text">
<code>givenname;lang-ja</code>
</p>

<p class="text">
You can assign only one language subtype per instance of an attribute in an entry. To assign multiple language subtypes, add another instance of the attribute to the entry and then assign the new language subtype to the copy.
</p>

<p class="text">
<b>Subtype.</b> Contains a list of commonly-used subtypes (other than languages) that can be assigned to the attribute as a subtype. The options include:
</p>

<ul>
<li>
Binary&#151;Indicates that the attribute value is binary. For example, <code>userCertificate;binary</code>.
</li>

<li>
Pronunciation&#151;Indicates that the attribute value is a phonetic representation. The subtype is added to the attribute name as follows: <span class="variable">attribute</span><code>;phonetic</code>. This subtype is commonly used in combination with a language subtype for languages that have more than one alphabet, where one is a phonetic representation. You might want to use this with attributes that are expected to contain user names, such as <code>cn</code> or <code>givenname</code>. For example, <code>givenname;lang-ja;phonetic</code> indicates that the attribute value is the phonetic version of the entry's Japanese name. 
</li>
</ul>

<p class="text">
<b>Attributes List. </b>This list contains all of the attributes that are allowed within the object classes currently assigned to the entry. To add an attribute to the entry, select it in the list and then click OK.
</p>
